Skip to main content
GET
/
vendors
/
{vendorId}
/
assessments
List assessments by vendor ID
curl --request GET \
  --url https://api.vanta.com/v1/vendors/{vendorId}/assessments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vanta.com/v1/vendors/{vendorId}/assessments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vanta.com/v1/vendors/{vendorId}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d8",
        "vendorId": "6696e9bca247cbdf1c8e5054",
        "status": "COMPLETED",
        "completedByUserId": "6696ea0595df50d5cd6ec3b7",
        "startDate": "2024-02-01T00:00:00.000Z",
        "dueDate": "2024-03-01T00:00:00.000Z",
        "overrideDueDate": "2024-03-15T00:00:00.000Z",
        "completionDate": "2024-03-10T00:00:00.000Z",
        "createdDate": "2024-01-25T00:00:00.000Z",
        "decision": {
          "status": "APPROVED",
          "lastUpdatedAt": "2024-03-17T00:00:00.000Z",
          "comments": "No major concerns, limited sharing of data, low security risk."
        },
        "assessmentType": {
          "id": "6696ea0595df50d5cd6ec3b8",
          "name": "Security",
          "description": null
        },
        "owner": {
          "id": "6696ea0595df50d5cd6ec3b9",
          "type": "USER",
          "displayName": "Jane Doe",
          "email": "jane.doe@example.com"
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "6696ea0595df50d5cd6ec3b7",
      "endCursor": "6696ece48eb1f98ff3d927c6"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

typeIdMatchesAny
string[]

Filter assessments to any of the given assessment type IDs

statusMatchesAny
enum<string>[]

Filter assessments to any of the given statuses

The lifecycle status of an assessment:

  • NOT_STARTED: The assessment has not yet been started.
  • IN_PROGRESS: The assessment is underway.
  • COMPLETED: The assessment has been completed.
Available options:
NOT_STARTED,
IN_PROGRESS,
COMPLETED

Response

200 - application/json

Ok

results
object
required